Package be.vlaanderen.mercurius.mohm.common.v7

# Class DecisionDeliveryType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.DecisionDeliveryType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DecisionDeliveryType extends Object implements Serializable
Generiek type voor de beslissing van een aflevering.

Java class for DecisionDeliveryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionDeliveryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DecisionDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DeliveryStatusType"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="ApplicationStatus" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationStatusType"/>
             <element name="ApplicationStatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionDeliveryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApplicationStatusType`
  `getApplicationStatus()`
  Veld met de status van de aanvraag: afgeleverd of aflevering geweigerd.
  `Instant`
  `getApplicationStatusDate()`
  Datum van de status van de aanvraag.
  `Instant`
  `getDecisionDate()`
  Datum van de beslissing over de aflevering.
  `List<String>`
  `getReasons()`
  Reden wordt enkel ingevuld als de aflevering automatisch werd geweigerd.
  `DeliveryStatusType`
  `getStatus()`
  Veld met de status van de aflevering: aanvaard of geweigerd
  `Instant`
  `getStatusDate()`
  Datum van de status van de aflevering.
  `void`
  `setApplicationStatus(ApplicationStatusType value)`
  Sets the value of the applicationStatus property.
  `void`
  `setApplicationStatusDate(Instant value)`
  Sets the value of the applicationStatusDate property.
  `void`
  `setDecisionDate(Instant value)`
  Sets the value of the decisionDate property.
  `void`
  `setStatus(DeliveryStatusType value)`
  Sets the value of the status property.
  `void`
  `setStatusDate(Instant value)`
  Sets the value of the statusDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionDeliveryType

    public DecisionDeliveryType()

- ## Method Details

  - ### getDecisionDate

    public Instant getDecisionDate()
    Datum van de beslissing over de aflevering.
    Returns:
      possible object is `String`

  - ### setDecisionDate

    public void setDecisionDate(Instant value)
    Sets the value of the decisionDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDecisionDate()`

  - ### getStatus

    public DeliveryStatusType getStatus()
    Veld met de status van de aflevering: aanvaard of geweigerd
    Returns:
      possible object is `DeliveryStatusType`

  - ### setStatus

    public void setStatus(DeliveryStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `DeliveryStatusType`
    See Also:
      - `getStatus()`

  - ### getStatusDate

    public Instant getStatusDate()
    Datum van de status van de aflevering.
    Returns:
      possible object is `String`

  - ### setStatusDate

    public void setStatusDate(Instant value)
    Sets the value of the statusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatusDate()`

  - ### getApplicationStatus

    public ApplicationStatusType getApplicationStatus()
    Veld met de status van de aanvraag: afgeleverd of aflevering geweigerd.
    Returns:
      possible object is `ApplicationStatusType`

  - ### setApplicationStatus

    public void setApplicationStatus(ApplicationStatusType value)
    Sets the value of the applicationStatus property.
    Parameters:
      `value` - allowed object is `ApplicationStatusType`
    See Also:
      - `getApplicationStatus()`

  - ### getApplicationStatusDate

    public Instant getApplicationStatusDate()
    Datum van de status van de aanvraag.
    Returns:
      possible object is `String`

  - ### setApplicationStatusDate

    public void setApplicationStatusDate(Instant value)
    Sets the value of the applicationStatusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getApplicationStatusDate()`

  - ### getReasons

    public List<String> getReasons()
    Reden wordt enkel ingevuld als de aflevering automatisch werd geweigerd. Er kunnen meerdere redenen van weigering zijn. Gets the value of the reasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

    For example, to add a new item, do as follows:

         getReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the reasons property.